import { RdDItem } from "../item.js";

export default class RdDItemQueue extends RdDItem {
  static get defaultIcon() {
    return "systems/foundryvtt-reve-de-dragon/icons/queue_dragon.webp";
  }

  async calculerFinPeriodeTemporel(timestamp) {
    const debut = timestamp.addMinutes(timestamp.indexMinute == 0 ? -1 : 0);
    return await debut.appliquerDuree(this.system.duree, this.parent);
  }
}
